%if "0%{?slurmversion}" != "0"
%define rel .module.%{slurmversion}
%define slurmreq BuildRequires: (slurm-devel >= %{slurmversion}.0 with slurm-devel < %{slurmversion}.99) \
Requires: (slurm >= %{slurmversion}.0 with slurm < %{slurmversion}.99)
%else
%define slurmreq BuildRequires: slurm-devel \
Requires: slurm
%endif
%define rname spank-rh
Name:		slurm-%{rname}
Version:	0.1
Release:	1%{?rel}%{?dist}.1
Summary:	Slurm spank plugin to help with rh8/rh9 transition
License:	Unknown

Source0:	rh_spank.c
Source1:	job_submit.lua.example
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gcc
%{slurmreq}

%description
This is a SPANK plugin for Slurm to help with transition from rh8 to rh9 by
adding to slurm environment hints on what OS job was submitted from or what
users requested via --rh8/--rh9/--rhany option.

%prep
%setup -T -c -n %{rname}
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
gcc -fPIC -shared -g -o rh_spank.so rh_spank.c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/slurm %{buildroot}/etc/slurm/plugstack.conf.d
install -m 755 rh_spank.so %{buildroot}%{_libdir}/slurm
echo "optional %{_libdir}/slurm/rh_spank.so" > %{buildroot}/etc/slurm/plugstack.conf.d/rh.conf

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc job_submit.lua.example
%{_libdir}/slurm/rh_spank.so
%dir /etc/slurm/plugstack.conf.d
/etc/slurm/plugstack.conf.d/rh.conf

%changelog
* Sun Jan 07 2024 Josko Plazonic <plazonic@princeton.edu> 0.1-1.sdl8
- initial build
